URL structure
{organisationId} is the ID of an organisation.
Supported methods and overview
DELETE- removes an organisation (specified byorganisationId) configured on the Cocoon Data Platform (available to SafeShare administrators only) on the proviso that this organisation has an existing request for its removal (made by another SafeShare administrator).
This method takes no parameters.
Detailed description
This API endpoint removes an organisation (specified byorganisationId) configured on the Cocoon Data Platform by a SafeShare administrator.
For a request to this endpoint to succeed, a previous call to <access-service>/api/v1/organisations/{organisationId}/removalRequest (i.e. to initiate a request to remove this organisation) must have already been made by another SafeShare administrator whose access token was submitted in the request to that API endpoint.
Supported roles and conditions
This API endpoint supports the following Cocoon Data user roles (as described in the SafeShare Administrator’s Guide):- SafeShare administrator - when this user is a different SafeShare administrator to the one who initiated the request to remove this organisation.
Required headers
The appropriate access token as theBearer token:
Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...
Returns
If the request succeeded, then an HTTP response status200 OK is returned.
